MAN(1)

NAME
man - display online manual pages

SYNOPSIS
man [-antkfq] [-M path] [-s section] title ...

DESCRIPTION
Man displays the online manual pages for the specified titles in the specified sections. The sections are as follows:

1   User Commands
    Generic commands such as ls, cp, grep.

2   System Calls
    Low level routines that directly interface with the kernel.

3   Library Routines
    Higher level C language subroutines.

4   Device Files
    Describes devices in /dev.

5   File Formats
    Formats of files handled by various utilities and subroutines.

6   Games
    It's not UNIX without an adventure game.

7   Miscellaneous
    Macro packages, miscellaneous tidbits.

8   System Utilities
    Commands for the System Administrator.

9   Documents
    Larger manuals explaining some commands in more detail.

(If you are new to Minix then try man hier, it will show you around the file system and give you many pointers to other manual pages.)

By default, man will try the following files in a manual page directory for the command man -s 1 ls:

    cat1/ls.1
    cat1/ls.1.Z
    man1/ls.1
    man1/ls.1.Z

Files in the man[1-8] directories are formatted with nroff -man. Those in man9 are formatted with nroff -mnx. Files in the cat? directories are preformatted. Files with names ending in .Z are decompressed first with zcat (see compress(1)). The end result is presented to the user using a pager if displaying on the screen.

For each manual page directory in its search path, man will first try all the subdirectories of the manual page directory for the files above, and then the directory itself. The directory /usr/man contains the standard manual pages, with manual pages for optional packages installed in a subdirectory of /usr/man, with the same structure as /usr/man. The directory /usr/local/man contains manual pages for locally added software. By default /usr/local/man is searched first, then /usr/man.

A title is not simply used as a filename, because several titles may refer to the same manual page. Each manual page directory contains a database of titles in the whatis(5) file that is created by makewhatis(1) from the NAME sections of all the manual pages. A title is searched in this database and the first title on a whatis line is used as a filename.

OPTIONS
The options may be interspersed with the titles to search, and take effect for the titles after them.

-a  Show all the manual pages or one line descriptions with the given title in all the specified sections in all the manual directories in the search path. Normally only the first page found is shown.

-n  Use nroff -man to format manual pages (default).

-t  Use troff -man to format manual pages.

-f  Use whatis(1) to show a one line description of the title from the whatis(5) file.

-k  Use apropos(1) to show all the one line descriptions of the title anywhere in the whatis(5) files (implies -a).

-q  Quietly check if all requested manual pages exist. No output, no errors, just an exit code.

-M path
    Use path as the search path for manual directories.

-s section
    Section is the section number the page is to be found in, or a comma separated list of sections to use. Normally all sections are searched. The search is always in numerical order no matter what your section list looks like. A single digit is treated as a section number without the -s for compatibility with BSD-style man commands.

ENVIRONMENT

MANPATH
    This is a colon separated list of directories to search for manual pages, by default /usr/local/man:/usr/man.

PAGER
    The program to use to display the manual page or one line descriptions on the screen page by page. By default more.

FILES

/usr/man/whatis
    One of the whatis(5) databases.

SEE ALSO
nroff(1), troff(1), more(1), whatis(1), makewhatis(1), catman(1), whatis(5), man(7).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)